# Packmangroup: Libraries
# Packmanpackagename: libdvdread
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>libdvdread provides a simple foundation for reading DVD-Video images.</p>
# Packmanpackagedesc_de: <p>Die libdvdread Bibliothek stellt einfache Basisfunktionen f&uuml;r den Zugriff auf Video-DVDs zuzugreifen.</p>
# norootforbuild

# definition von softwarename, version und release
%define major     3
%define libname   libdvdread

Name:           libdvdread%{major}
Summary:        Library to access video DVDs
Summary(de):    Bibliothek um auf Video-DVDs zuzugreifen
License:        GPL
Group:          Productivity/Multimedia/Other
URL:            http://www.dtek.chalmers.se/groups/dvd/index.shtml
Version:        0.9.7
Release:        7.1

Source0:        libdvdread-0.9.7.tar.bz2

Patch0:         libdvdread-0.9.7-udffindfile.patch
Patch1:         libdvdread_udf.patch
Patch2:         libdvdread-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
Provides:       %{libname} = %{version}-%{release}
Obsoletes:      %{libname} < %{version}-%{release}
BuildRequires:  gcc

%description
libdvdread provides a simple foundation for reading DVD-Video images.
It offers DVD applications:

1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).

This allows application designers to access some of the more advanced
features of the DVD format.

libdvdread currently uses libdl to dynamically probe for libdvdcss at
runtime.  If libdvdcss is found, then it will be used to decrypt the
encrypted sections of a DVD.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%description -l de
Die libdvdread Bibliothek stellt einfache Basisfunktionen für den Zugriff
auf Video-DVDs zuzugreifen.
Es stellt DVD-Programmen folgendes zur Verfügung:

1. Eine einfache Abstraktion zumr lesen der Dateien eines DVD-Images
   (dvd_reader.h).
2. Eine einfache Bibliothek zum parsen der Informationen der IFO Datei
   (ifo_read.h/ifo_types.h).
3. Eine einfache Bibliothek zum Parsen des navigation Pakets
   (nav_read.h/nav_types.h).

Dies ermöglicht Programmierern weitereichende Funktionen des DVD-Formats
zu unterstützen.

libdvdread benutzt libdl um zur Laufzeit dynamisch zu prüfen, ob die
libdvdcss vorhanden ist. Diese wird benötigt um auf CSS verschlüsselte
Video-DVDs zuzugreifen.

Autoren:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%package -n %{name}-devel
Summary:        Development tools for programs which will use the libdvdread library
Summary(de):    Entwicklertools für Programme, die die libdvdread Bibliothek verwenden
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}-%{release}

%description -n %{name}-devel
The libdvdread-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdread library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdread-devel.  You'll also need to have the libdvdread
package installed.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%description -n %{name}-devel -l de
Das libdvdread-devel Paket enthällt die Header-Dateien sowie die statischen
Bibliotheken, welche für Entwickler notwendig sind, die Programme erstellen,
die DVD-Dateien mit Hilfe der libdvdread auf DVD-Dateien zuzugreifen.

Falls Sie Programme entwickeln oder compilieren, die auf Video-DVDs
zugreifen, sollten Sie das libdvdread-devel Paket installiern. Es wird
ebenfalls das libdvdread benötigt.

Autoren:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%debug_package

%prep
%setup -q -n %{libname}-%{version}
%patch0
#%patch1 -p1
%patch2

%build
mv configure configurex
cat configurex | sed -e "s/linux-gnu\*)/linux\*)/g" > configure
chmod 777 configure
%configure

mv libtool libtoolx
cat libtoolx | sed -e "s/\${SED}/sed/g" > libtool
chmod 777 libtool
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{name}-devel
%defattr(-, root, root)
%{_includedir}/dvdread
%{_libdir}/*.so
%{_libdir}/*.*a

%changelog
* Sun Sep 06 2009 Manfred.Tremmel <Manfred.Tremmel@iiv.de> - 0.9.7-5.pm.1
- cleanups where rpmlint wasn't so happy
* Mon Feb 18 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- removed ifo patch, seems to make too much trouble...
* Sat Feb 02 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- changed the ifo patch from http://tobias.rautenkranz.ch/libdvdread_ifo.html
  a little bit, overwrite ifo size only, when it's a invalid size
* Wed Jan 23 2008 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- included ifo patch from http://tobias.rautenkranz.ch/libdvdread_ifo.html
* Sat Oct 07 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.7
* Fri May 05 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.6
* Sun Jan 29 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- another patch to solve segfaults with some programms like k9copy
* Tue Jan 24 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- added a patch to solve the undefined symbol: UDFFindFile problem
  (hope so ;-) )
* Mon Jan 23 2006 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.5
* Sat Jun 25 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- included a patch from SuSE 9.3
* Wed Dec 01 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some cleanups
* Sat Apr 12 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added packman build header
* Sat Feb 22 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- corrected provides entry
* Fri Feb 14 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.9.4
* Tue Jan 21 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Provides libdvdread2 added
* Tue Jan 21 2003 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- Some synchronisations with SuSE-spec-file
* Fri Sep 27 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- changes rpm-names to make it compatible with SuSE 8.1
* Sat Jun 08 2002 Manfred.Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.9.3, split -develop package
* Sat Dec 29 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- added small patch
* Sat Dec 29 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- rebuild for libdvdcss 1.0.0
* Sat Oct 27 2001 Waldemar Brodkorb <waldemar@links2linux.de>
- first build & release
